webpackJsonp([0],{

/***/ 111:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 111;

/***/ }),

/***/ 152:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 152;

/***/ }),

/***/ 195:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__ = __webpack_require__(196);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_toast__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser__ = __webpack_require__(198);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var appBrowser = new __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser__["a" /* InAppBrowser */]();
var HomePage = (function () {
    function HomePage(alertControl, loadingControl, platform, network, toast) {
        var _this = this;
        this.alertControl = alertControl;
        this.loadingControl = loadingControl;
        this.platform = platform;
        this.network = network;
        this.toast = toast;
        // webview options
        this.iosOptions = "location=no,clearcache=no,clearsessioncache=no,zoom=no,hidden=yes";
        this.androidOptions = "location=no,clearcache=no,clearsessioncache=no,zoom=no,hidden=yes";
        // Check Internet connection before loading App
        var type = this.network.type;
        if (type == "unknown" || type == "none" || type == undefined) {
            this.showNoInternetAlert();
        }
        // check if internet was disconnected
        var disconnectSubscription = this.network.onDisconnect().subscribe(function () {
            _this.toast.show("Please check your Internet connection", '3000', 'center');
            disconnectSubscription.unsubscribe();
        });
    }
    HomePage_1 = HomePage;
    HomePage.prototype.showBrowser = function (chosenOption) {
        var _this = this;
        var browser;
        var loadError;
        var loadStop;
        var loading = this.loaderInitialize();
        var domainUrl = 'https://swipestudio.co/';
        // links associative array, get link by chosenOption
        var links = {
            'geofilter': 'geofilters/featured',
            'geofilter-hiw': 'geofilters/how-it-works',
            'geofilter-faq': 'geofilters/faq',
            'lens': 'lens/featured',
            'lens-hiw': 'lens/how-it-works',
            'lens-faq': 'lens/faq',
            'howitworks': 'how-it-works',
            'faq': 'faq',
            'affiliate': 'affiliate',
            'custom': 'geofilters/custom',
            'refer': 'refer-a-friend',
            'home': 'home',
            'becomeanartist': 'artist/register',
            'becomeanaffiliate': 'affiliate',
            'rateus': 'artist/register',
            'tnc': 'terms',
            'privacypolicy': 'privacy',
        };
        var link_url = domainUrl + links[chosenOption] + '?src=mobile';
        // load url according to platform
        if (this.platform.is('ios') && (chosenOption === "geofilter" || chosenOption === "lens")) {
            // browser = appBrowser.create( link_url + 'ios?src=app','_blank',this.iosOptions);
            browser = appBrowser.create(link_url, '_blank', this.iosOptions);
        }
        else if (this.platform.is('android') && (chosenOption === "geofilter" || chosenOption === "lens")) {
            // browser = appBrowser.create(link_url + 'android?src=app','_blank',this.androidOptions);
            browser = appBrowser.create(link_url, '_blank', this.androidOptions);
        }
        else {
            browser = appBrowser.create(link_url, '_blank', this.androidOptions);
        }
        // handle error on loading
        loadError = browser.on('loaderror').subscribe(function () {
            _this.toast.show("Please check your Internet connection", '5000', 'bottom').subscribe();
            loadStop.unsubscribe();
        });
        // when loading starts
        browser.on('loadstart').subscribe(function () {
            loading.present();
        });
        // After successful load
        loadStop = browser.on('loadstop').subscribe(function (e) {
            browser.show();
            loading.dismiss();
            if (e && e.url)
                _this.currentUrl = e.url;
        });
        // take user to home page after logging in (on pressing back button), to prevent too many redirect errors(browser tries to logout)
        if (chosenOption === "home" && this.currentUrl.endsWith('home')) {
            this.platform.registerBackButtonAction(function () {
                _this.nav.setRoot(HomePage_1);
            });
        }
    };
    HomePage.prototype.showNoInternetAlert = function () {
        var _this = this;
        var alert = this.alertControl.create({
            title: 'The App cannot be loaded',
            subTitle: '\nMake sure you have a working internet connection.',
            buttons: [
                {
                    text: 'Dismiss',
                    role: 'cancel',
                    handler: function () {
                        _this.platform.exitApp();
                    }
                }
            ]
        });
        alert.present();
    };
    // loading control and initialization
    HomePage.prototype.loaderInitialize = function () {
        // loading control variable
        var loading = this.loadingControl.create({
            spinner: 'hide',
            content: "\n      <ion-avatar>\n      <img src=\"./assets/imgs/loading_balls.gif\" height=\"80\" width=\"80\">\n      </ion-avatar>\n      ",
            cssClass: 'transparent',
        });
        return loading;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */])
    ], HomePage.prototype, "nav", void 0);
    HomePage = HomePage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"F:\Work\swipestudio_v2\src\pages\home\home.html"*/'<ion-header >\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>CREATE YOUR OWN</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-grid>\n\n  <ion-row class="h30">\n\n    <ion-col id="geofilters" (click)="showBrowser(\'geofilter\')">\n\n    <ion-card>\n\n      <img src="./assets/imgs/geofilter.png"/>\n\n      <div class="card-title">Snapchat Geofilter</div>\n\n      <div class="card-subtitle">›</div>\n\n    </ion-card>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="h30">\n\n    <ion-col class="grid-col" id="lens" (click)="showBrowser(\'lens\')">\n\n      <ion-card>\n\n        <img src="./assets/imgs/website_lens.gif"/>\n\n        <div class="card-title">Snapchat Lens</div>\n\n        <div class="card-subtitle">›</div>\n\n      </ion-card>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="h10">\n\n    <ion-col class="grid-col" id="my-orders" (click)="showBrowser(\'home\')">\n\n      <ion-card>\n\n        <div class="card-title">My Orders</div>\n\n      </ion-card>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="h20">\n\n    <ion-col class="grid-col" id="refer-friend" (click)="showBrowser(\'refer\')">\n\n      <ion-card>\n\n        <img src="./assets/imgs/refer.png">\n\n        <div class="card-title">Earn Free Credit</div>\n\n      </ion-card>\n\n    </ion-col>\n\n    <ion-col class="grid-col" id="custom-order" (click)="showBrowser(\'custom\')">\n\n      <ion-card>\n\n        <img src="http://artacademy.nintendo.com/pokemon/assets/img/content/drawing-master-tools.png"/>\n\n        <div class="card-title">Custom Order</div>\n\n      </ion-card>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-grid>\n\n</ion-content>\n\n\n\n<!-- <ion-header >\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title >CREATE YOUR OWN</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="menu-btn-big" id="geofilters" (click)="showBrowser(\'geofilter\')">\n\n    <img src="./assets/imgs/start.jpg" width="200px">\n\n  </div>\n\n  <div class="menu-btn-big" id="lens" (click)="showBrowser(\'lens\')">\n\n    <img src="./assets/imgs/lens.jpeg" width="200px">\n\n  </div>\n\n  <div class="menu-btn-small" id="my-orders" (click)="showBrowser(\'home\')">\n\n    <span class="centered">My Orders</span>\n\n  </div>\n\n  <div class="menu-btn-medium">\n\n    <div class="half" id="custom-order" (click)="showBrowser(\'custom\')"> Custom Order </div>\n\n    <div class="half" id="refer-friend" (click)="showBrowser(\'refer\')"> Refer a friend </div>\n\n  </div>\n\n</ion-content> -->\n\n'/*ion-inline-end:"F:\Work\swipestudio_v2\src\pages\home\home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_toast__["a" /* Toast */]])
    ], HomePage);
    return HomePage;
    var HomePage_1;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 200:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(223);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 223:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(266);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_home_home__ = __webpack_require__(195);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__ = __webpack_require__(192);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_splash_screen__ = __webpack_require__(194);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__ = __webpack_require__(196);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_toast__ = __webpack_require__(197);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_onesignal__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_in_app_browser__ = __webpack_require__(198);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */] //,
                //ListPage
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: []
                }),
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */] //,
                //ListPage
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_in_app_browser__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__["a" /* Network */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_toast__["a" /* Toast */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_onesignal__["a" /* OneSignal */],
                __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 266:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(192);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(194);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_home_home__ = __webpack_require__(195);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_onesignal__ = __webpack_require__(199);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen, oneSignal, home) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.oneSignal = oneSignal;
        this.home = home;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */];
        this.initializeApp();
        // used for an example of ngFor and navigation
        this.pages = [
            {
                title: 'HOME', elem: [
                    { title: 'My Orders', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'home' },
                    { title: 'Earn Free Credits', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'refer' }
                ]
            },
            {
                title: 'GEOFILTERS', elem: [
                    { title: 'How it works', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'geofilter-hiw' },
                    { title: 'FAQ', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'geofilter-faq' }
                ]
            },
            {
                title: 'LENS', elem: [
                    { title: 'How it works', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'lens-hiw' },
                    { title: 'FAQ', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'lens-faq' }
                ]
            },
            {
                title: 'ABOUT', elem: [
                    { title: 'Become an artist', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'becomeanartist' },
                    { title: 'Become an affiliate', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'becomeanaffiliate' },
                    { title: 'Privacy', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'privacypolicy' },
                    { title: 'Terms', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */], name: 'tnc' },
                ]
            },
        ];
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            _this.splashScreen.hide();
            // first configure OneSignal with default settings
            /*
                Docs: https://documentation.onesignal.com/docs/ionic-sdk-setup
                Ionic: https://ionicframework.com/docs/native/onesignal/
                */
            if (_this.platform.is('android'))
                _this.oneSignal.startInit("6b45057c-ee49-48d5-b6bf-90b963663136", "952595385878");
            else
                _this.oneSignal.startInit("6b45057c-ee49-48d5-b6bf-90b963663136");
            _this.oneSignal.inFocusDisplaying(_this.oneSignal.OSInFocusDisplayOption.InAppAlert);
            _this.oneSignal.endInit();
        });
    };
    MyApp.prototype.openPage = function (page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        this.home.showBrowser(page.name);
    };
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"F:\Work\swipestudio_v2\src\app\app.html"*/'<ion-menu [content]="content">\n\n  <ion-content>\n\n    <div class="menu">\n\n      <div *ngFor="let p of pages" class="menu-item">\n\n        <div class="menu-item-title">\n\n          {{p.title}}\n\n        </div>\n\n      <div class="sub-menu">\n\n      <div menuClose (click)="openPage(d)" *ngFor="let d of p.elem" class="sub-menu-item">\n\n          {{d.title}}\n\n      </div>\n\n      </div>\n\n\n\n    </div>\n\n    </div>\n\n  </ion-content>\n\n\n\n</ion-menu>\n\n\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>\n\n'/*ion-inline-end:"F:\Work\swipestudio_v2\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_onesignal__["a" /* OneSignal */], __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ })

},[200]);
//# sourceMappingURL=main.js.map